%define debug_package %{nil}

%define name libp0f
%define version 2.0.8 
%define release 1
%ifarch x86_64
%define _libdir /usr/lib64
%else
%define _libdir /usr/lib
%endif



Summary:	Provides library implementation of p0f for use with yaf
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Group:		System Environment/Libraries 
License:	LGPLv2
Source:		%{name}-%{version}.tar.gz  
BuildRoot:	%{_tmppath}/p0flib/libp0f
Packager:	Dwight Beaver <dsbeaver@cert.org>
Url:		http://lcamtuf.coredump.cx/p0f.shtml
Vendor:		http://tools.netsa.cert.org/
Provides:	libp0f.so
Requires:	libpcap >= 1.0.0 
Requires:	p0f
BuildRequires:	libpcap-devel >= 1.0.0 

%description 
Libp0f is a library implementation of p0f version 2.
This library splits the core p0f functionality from the p0f application 
in order to support 3rd-party linkage.  

%package devel
Summary: Static libraries and C header files for libp0f
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libpcap >= 1.0.0
Requires: libpcap-devel >= 1.0.0

%description devel
Static libraries and C header files for libp0f.


%prep
%setup -q -n p0flib/libp0f 

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall
cd $RPM_BUILD_ROOT
rm -rf usr/bin etc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/*.la
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/*.a
%{_libdir}/*.so
%attr(644,root,root) %{_includedir}/p0f/config-p0f.h
%attr(644,root,root) %{_includedir}/p0f/config.h
%attr(644,root,root) %{_includedir}/p0f/public.h
%{_libdir}/pkgconfig/libp0f.pc

%changelog
* Tue Mar 27 2012 - Dwight Beaver <dsbeaver@cert.org> 2.0.8-1
- Initial packaging for libp0f

